@ECHO OFF

CALL scripts\getRESO.cmd
:MoreCustomMiniMenu
    DEL SkinDefinition.tmp
    CLS
    ECHO CUSTOMIZE
    ECHO.
    ECHO  DaimonUI3Mini Customization 
    ECHO.
    ECHO     Choose the resolution you use to play
    ECHO     The Lord of the Rings ONLINE (width).
    ECHO    ----------------------------
    ECHO     Current resolution: %MiniRESO%
    ECHO    ----------------------------
    ECHO        [1] 1024w   [4] 2048w
    ECHO        [2] 1366w   [5] 2560w
    ECHO        [3] 1900w
    ECHO        ---------------
    ECHO        [B] Back
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='1' GOTO C1024
    IF '%OPTION%'=='2' GOTO C1366
    IF '%OPTION%'=='3' GOTO C1900
    IF '%OPTION%'=='4' GOTO C2048
    IF '%OPTION%'=='5' GOTO C2560
    IF '%OPTION%'=='b' GOTO BackCustomMini
    IF '%OPTION%'=='B' GOTO BackCustomMini
    GOTO MoreCustomMiniMenu

:C1024
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1024.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd customMini
    DEL ..\Mini\????.res
    ECHO Daimonui CUSTOM 1024 Resolution >> ..\Mini\1024.res
    GOTO endCustomMini

:C1366
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1366.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd customMini
    DEL ..\Mini\????.res
    ECHO Daimonui CUSTOM 1366 Resolution >> ..\Mini\1366.res
    GOTO endCustomMini

:C1900
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1900.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd customMini
    DEL ..\Mini\????.res
    ECHO Daimonui CUSTOM 1900 Resolution >> ..\Mini\1900.res
    GOTO endCustomMini

:C2048
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_2048.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd customMini
    DEL ..\Mini\????.res
    ECHO Daimonui CUSTOM 2048 Resolution >> ..\Mini\2048.res
    GOTO endCustomMini

:C2560
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_2560.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd customMini
    DEL ..\Mini\????.res
    ECHO Daimonui CUSTOM 2560 Resolution >> ..\Mini\2560.res
    GOTO endCustomMini

:endCustomMini
    SET MiniRESOSET=%MiniRESO%
    CALL scripts\getRESO.cmd
    TYPE xml\dmnui_end.xml >> SkinDefinition.tmp
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    CLS
    ECHO.&ECHO.
    ECHO    CUSTOM Skin created for DaimonUIMini
    ECHO    Resolution changed from %MiniRESOSET% to %MiniRESO%.
    ECHO.
    ECHO    Have fun playing The Lord of the Rings ONLINE
    ECHO    with DaimonUIMini!
    ECHO.&ECHO.
    PAUSE
    GOTO MainMenu

:BackCustomMini