@ECHO OFF

CALL scripts\getRESO.cmd
:MoreCustomMenu
    DEL SkinDefinition.tmp
    CLS
    ECHO CUSTOMIZE
    ECHO.
    ECHO  DaimonUI3 Customization 
    ECHO.
    ECHO     Choose the resolution you use to play
    ECHO     The Lord of the Rings ONLINE (width).
    ECHO    ----------------------------
    ECHO     Current resolution: %RESO%
    ECHO    ----------------------------
    ECHO        [1] 1366w   [4] 2560w
    ECHO        [2] 1900w
    ECHO        [3] 2048w
    ECHO        ---------------
    ECHO        [B] Back
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='1' GOTO C1366
    IF '%OPTION%'=='2' GOTO C1900
    IF '%OPTION%'=='3' GOTO C2048
    IF '%OPTION%'=='4' GOTO C2560
    IF '%OPTION%'=='b' GOTO BackCustom
    IF '%OPTION%'=='B' GOTO BackCustom
    GOTO MoreCustomMenu

:C1366
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1366.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd custom
    DEL ????.res
    ECHO Daimonui CUSTOM 1366 Resolution >> 1366.res
    GOTO EndMoreCustom

:C1900
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1900.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd custom
    DEL ????.res
    ECHO Daimonui CUSTOM 1900 Resolution >> 1900.res
    GOTO EndMoreCustom

:C2048
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_2048.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd custom
    DEL ????.res
    ECHO Daimonui CUSTOM 2048 Resolution >> 2048.res
    GOTO EndMoreCustom

:C2560
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_2560.xml >> SkinDefinition.tmp
    CALL scripts\customBuilder.cmd
    CALL scripts\parser.cmd custom
    DEL ????.res
    ECHO Daimonui CUSTOM 2560 Resolution >> 2560.res
    GOTO EndMoreCustom

:EndMoreCustom
    SET RESOSET=%RESO%
    CALL scripts\getRESO.cmd
    TYPE xml\dmnui_end.xml >> SkinDefinition.tmp
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CLS
    ECHO.&ECHO.
    ECHO    CUSTOM Skin created for DaimonUI
    ECHO    Resolution changed from %RESOSET% to %RESO%.
    ECHO.
    ECHO    Have fun playing The Lord of the Rings ONLINE
    ECHO    with DaimonUI!
    ECHO.&ECHO.
    PAUSE
    GOTO MainMenu

:BackCustom